Skip to main content
GET
/
workflow
/
v2beta1
/
workflows
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/workflow/v2beta1/workflows \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "kind": "<string>",
  "nextPageToken": "<string>",
  "workflows": [
    {
      "allowNotificationForAllExternalUsers": true,
      "classId": "<string>",
      "className": "<string>",
      "createdTime": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "initialStateId": "<string>",
      "kind": "<string>",
      "lastModifiedTime": "2023-11-07T05:31:56Z",
      "libraryId": "<string>",
      "libraryName": "<string>",
      "muteNotifications": true,
      "name": "<string>",
      "states": [
        {
          "annotationRestrictedViewers": [
            {
              "classId": "<string>",
              "className": "<string>",
              "description": "<string>",
              "displayName": "<string>",
              "displayName_i18n": "<string>",
              "thumbnailPictureUrl": "<string>",
              "type": "USER",
              "value": "<string>"
            }
          ],
          "applyActionToDocuments": "DO_NOTHING",
          "checkOutSettings": {
            "addValidatorToPermissions": true,
            "applyPreviousVersionPermissions": true,
            "draftActionPrefix": "<string>",
            "permissions": [
              {
                "displayName": "<string>",
                "kind": "<string>",
                "role": "READER",
                "thumbnailPictureUrl": "<string>",
                "type": "ANYONE",
                "value": "<string>",
                "withLink": true
              }
            ]
          },
          "classReadOnlyDocumentsNotCheckedOut": "DISABLED",
          "createdTime": "2023-11-07T05:31:56Z",
          "customActions": [
            {
              "event": "ON_STATE_ENTER_BEFORE_TRANSITION",
              "id": "<string>",
              "kind": "<string>",
              "name": "<string>",
              "params": {},
              "scriptId": "<string>",
              "scriptName": "<string>"
            }
          ],
          "description": "<string>",
          "displayFlags": [
            "HIDDEN_FROM_WORKFLOW_TASKS"
          ],
          "draftDocuments": true,
          "hiddenFields": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "id": "<string>",
          "kind": "<string>",
          "lastModifiedTime": "2023-11-07T05:31:56Z",
          "mandatoryFields": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "name": "<string>",
          "name_i18n": "<string>",
          "notifications": {
            "actionEmail": {
              "customEmail": {
                "bodyTemplate": "<string>",
                "layout": "NO_LAYOUT",
                "senderTemplate": "<string>",
                "subjectTemplate": "<string>"
              },
              "templateEmail": {
                "id": "<string>",
                "name": "<string>"
              }
            },
            "notificationEmail": {
              "customEmail": {
                "bodyTemplate": "<string>",
                "layout": "NO_LAYOUT",
                "senderTemplate": "<string>",
                "subjectTemplate": "<string>"
              },
              "templateEmail": {
                "id": "<string>",
                "name": "<string>"
              }
            },
            "notifyHumanActionPerformer": true,
            "recipients": [
              {
                "classId": "<string>",
                "className": "<string>",
                "description": "<string>",
                "displayName": "<string>",
                "displayName_i18n": "<string>",
                "thumbnailPictureUrl": "<string>",
                "type": "USER",
                "value": "<string>"
              }
            ]
          },
          "permissions": [
            {
              "displayName": "<string>",
              "kind": "<string>",
              "role": "READER",
              "thumbnailPictureUrl": "<string>",
              "type": "ANYONE",
              "value": "<string>",
              "withLink": true
            }
          ],
          "readOnlyDocumentsNotCheckedOut": true,
          "readOnlyFields": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "resetDocumentPermissions": true,
          "transitions": [
            {
              "createNewDocumentVersion": true,
              "createdTime": "2023-11-07T05:31:56Z",
              "discardCheckedOutDocument": true,
              "elapsedTime": {
                "amount": 123,
                "unit": "MINUTE"
              },
              "fixedTime": "2023-11-07T05:31:56Z",
              "humanAction": {
                "actionId": "<string>",
                "appliedName": "<string>",
                "appliedName_i18n": "<string>",
                "commentPlaceholderText": "<string>",
                "commentPlaceholderText_i18n": "<string>",
                "commentPolicy": "FORBIDDEN",
                "mandatoryComment": true,
                "name": "<string>",
                "name_i18n": "<string>",
                "performer": {
                  "classId": "<string>",
                  "className": "<string>",
                  "description": "<string>",
                  "displayName": "<string>",
                  "displayName_i18n": "<string>",
                  "thumbnailPictureUrl": "<string>",
                  "type": "USER",
                  "value": "<string>"
                },
                "reminders": [
                  {
                    "audience": "PENDING",
                    "condition": {
                      "params": {},
                      "scriptId": "<string>",
                      "scriptName": "<string>"
                    },
                    "emailTemplateId": "<string>",
                    "id": "<string>",
                    "name": "<string>"
                  }
                ],
                "validateByAll": true
              },
              "id": "<string>",
              "kind": "<string>",
              "lastModifiedTime": "2023-11-07T05:31:56Z",
              "propertyData": {
                "operator": "EQUAL_TO",
                "personValue": {
                  "classId": "<string>",
                  "className": "<string>",
                  "description": "<string>",
                  "displayName": "<string>",
                  "displayName_i18n": "<string>",
                  "thumbnailPictureUrl": "<string>",
                  "type": "USER",
                  "value": "<string>"
                },
                "propertyId": "<string>",
                "value": "<string>"
              },
              "propertyTime": "<string>",
              "relativeTime": {
                "after": true,
                "amount": 123,
                "propertyId": "<string>",
                "unit": "MINUTE"
              },
              "targetStateId": "<string>",
              "targetStateName": "<string>",
              "targetStateName_i18n": "<string>",
              "transitionType": "NORMAL"
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

libId
string
required

The ID of the library

docClassId
string

The ID of the document class

limit
integer<int32>
default:50

The maximum number of workflows to return per page

nextPageToken
string

DEPRECATED. Use pageToken instead.

pageToken
string

The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.

domain
string

The G Suite domain

securityCode
string

The security code

Response

200 - application/json

A ApiWorkflowList response

count
integer<int32>
kind
string
nextPageToken
string
workflows
object[]